Skip to main content
POST
/
v4
/
routing-form
/
{id}
/
send
Send routing form to a recipient
curl --request POST \
  --url https://api.example.com/v4/routing-form/{id}/send \
  --header 'Content-Type: application/json' \
  --header 'x-meetergo-api-user-id: <api-key>' \
  --data '
{
  "recipientName": "<string>",
  "email": "jsmith@example.com",
  "phone": "<string>",
  "message": "<string>",
  "contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "language": "en",
  "deliveryMethod": "email"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "formId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "token": "<string>",
  "recipientName": "<string>",
  "email": "<string>",
  "phone": "<string>",
  "sentAt": "2023-11-07T05:31:56Z",
  "openedAt": "2023-11-07T05:31:56Z",
  "completedAt": "2023-11-07T05:31:56Z",
  "submissionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "contactId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "language": "<string>",
  "publicUrl": "<string>",
  "status": "sent"
}

Authorizations

x-meetergo-api-user-id
string
header
required

User ID to act as when using API Key authentication (required with API Key)

Path Parameters

id
string<uuid>
required

Body

application/json
recipientName
string
required

Name of the recipient

email
string<email>

Required for email delivery method

phone
string

E.164 format, required for sms delivery method

message
string

Custom message in email/SMS notification

contactId
string<uuid>

CRM contact ID for form prefill

language
string
default:en

BCP 47 language code

deliveryMethod
enum<string>
default:email
Available options:
email,
sms,
link

Response

Recipient created and form sent

id
string<uuid>
formId
string<uuid>
token
string
recipientName
string
email
string
phone
string
sentAt
string<date-time>
openedAt
string<date-time>
completedAt
string<date-time>
submissionId
string<uuid>
contactId
string<uuid>
language
string
publicUrl
string

One-time recipient link

status
enum<string>
Available options:
sent,
opened,
completed